---
title: Backend architecture
---

# Backend architecture

## Laravel

Plush.bike uses [Laravel](https://laravel.com/), a PHP framework.

## Lighthouse PHP

[Lighthouse PHP](https://lighthouse-php.com/) is used to build the GraphQL API.

## Laravel Sanctum

[Laravel Sanctum](https://laravel.com/docs/9.x/sanctum#spa-authentication) is used for Single Page App authentication. 

## Amazon AWS

[Amazon AWS](https://aws.amazon.com/) is used to store media.

## ImageKit

[ImageKit](https://imagekit.io/) is used to optimize and process media.

## Mailgun

[Mailgun](https://www.mailgun.com/) is used to send emails.

## Pest

[Pest](https://pestphp.com/) and [PHPUnit](https://phpunit.de/) is used for unit and feature testing.

## PHP CodeSniffer

[PHP CodeSniffer](https://github.com/squizlabs/PHP_CodeSniffer) is used for linting.

## Deployer

Deployment is handled by [Deployer](https://deployer.org/).
